%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/go-git/gcfg
Version:                1.5.0

%gometa

%global common_description %{expand:
Go-gcfg/gcfg fork for usage in go-git/go-git.}

%global golicenses      LICENSE
%global godocs          README

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go-gcfg/gcfg fork for usage in go-git/go-git

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         https://github.com/go-gcfg/gcfg/commit/f52d3f482a436943be3dabf712d76d30cde3708b.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.5.0-2
- Rebuilt for loongarch64

* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-1
- initial build
